<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: functions/matchesPerYear.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: functions/matchesPerYear.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * Takes matches arrayOfObject and create json file for matches per year
 * @param {Array&lt;{object}>} matches
 * @return {Array&lt;{objects}>}
 */
module.exports = function(matches){
    
/**
 * contains all years and number of matches played in that year
 * @type {{string : Number}}
 */
    const perYearMatches = matches.reduce((accumulator, element) => {
        let edition = element.season;
        if(accumulator[edition] === undefined){
            accumulator[edition] = 1;
        }else{
            accumulator[edition] += 1;
        }
        return accumulator;
    }, {});

/**
 * contains all years and number of matches played in that year
 * @type {Array&lt;{year:string , matches: Number}>}
 */
    const perYearMatchesArray = [];
    Object.keys(perYearMatches)
        .forEach(key => perYearMatchesArray.push({
            year : key,
            matches : perYearMatches[key]
        }));

    return perYearMatchesArray;
}</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#deliveriesData">deliveriesData</a></li><li><a href="global.html#economicalBowlers">economicalBowlers</a></li><li><a href="global.html#economicalBowlersData">economicalBowlersData</a></li><li><a href="global.html#extraRunsConcededPerTeam">extraRunsConcededPerTeam</a></li><li><a href="global.html#extraRunsConcededPerTeamData">extraRunsConcededPerTeamData</a></li><li><a href="global.html#matchesData">matchesData</a></li><li><a href="global.html#matchesPerYear">matchesPerYear</a></li><li><a href="global.html#matchesPerYearData">matchesPerYearData</a></li><li><a href="global.html#matchesWonPerYear">matchesWonPerYear</a></li><li><a href="global.html#matchesWonPerYearData">matchesWonPerYearData</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Sat May 29 2021 15:52:49 GMT+0530 (India Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
